## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iAwsConnectionNodeFactory Struct Reference
[AWS, AWS]

Interface for connection node factories. More...

`#include <iaws/aws.h>`

Inheritance diagram for iAwsConnectionNodeFactory:

[legend]
List of all members.

## Public Member Functions

virtual void | AddConnectionKey (const char *name, iAwsSink *s, unsigned long t, unsigned long sig)=0
| Add a connection key.
virtual awsConnectionNode * | GetThisNode ()=0
| Get the base node.
virtual void | Initialize ()=0
| Initializes the factory.

## Detailed Description

Interface for connection node factories.

Definition at line 1231 of file aws.h.

## Member Function Documentation

virtual void iAwsConnectionNodeFactory::AddConnectionKey | ( | const char * | name,
|  | iAwsSink * | s,
|  | unsigned long | t,
|  | unsigned long | sig
| ) | `[pure virtual]`

| Add a connection key.

virtual awsConnectionNode* iAwsConnectionNodeFactory::GetThisNode | ( |  | ) | `[pure virtual]`

| Get the base node.

virtual void iAwsConnectionNodeFactory::Initialize | ( |  | ) | `[pure virtual]`

| Initializes the factory.

The documentation for this struct was generated from the following file:

- iaws/aws.h